Subject: bug#16555: 24.3.50; Company and CAPF: dealing with completion values containing extra text

From: Stefan Monnier <[email-masked]>
Date: Sun, 26 Jan 2014 01:23:15 -0500

> * Including extra text in completion table seems like it won't mesh well
>   with the completion-at-point-functions interface, and specifically
>   with the completion-at-point as the frontend. How would one write a
>   CAPF function for clang or eclim with argument lists in mind?

>From a CAPF point of view, I think it would work as follows:
- all-completions would return the "cropped" names.
- `annotate-function' would be used to add the arglists to *Completions*.
- `exit-function' would be used to insert the arglist after selecting
  a candidate.

        Stefan